{#
/**
 * @file
 * Default theme implementation for eventapi-timetable-preview.
 *
 * Available variables:
 * - wrapper_attibutes: A list of HTML attributes for the wrapper element.
 * - conference: The taxonomy Term object for the conference.
 * - days: A structural array that stores slots of every day of
 *         the conference.
 *
 * @see Drupal\eventapi\Plugin\Block\TimetablePreviewBlock
 *
 * @ingroup eventapi
 */
#}

<div{{wrapper_attributes}}>
  <div class="days">
    {% for day in days %}
      <div class="day">
        <div class="day-summary">
          <div class="title">Day {{ day.day }}</div>
          <div class="date">{{ day.date }}</div>
        </div>
        <div class="timeslots">
          {% for timeslot in day.timeslots %}
            <div class="timeslot">
              <div class="datetime">
                {{ timeslot.startTime }} - {{ timeslot.endTime }}
              </div>
              {% for event in timeslot.events %}
                <a class="event" href="{{ event.internal }}">
                  <div class="venue">{{ event.venue.name }}</div>
                  <div class="name">{{ event.display }}</div>
                </a>
              {% endfor %}
            </div>
          {% endfor %}
        </div>
      </div>
    {% endfor %}
  </div>
</div>
